package com.anyway;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

/**
 * 演示案例
 * @author liuchuanwei.ex
 * @date 2024/1/23
 */
@Controller
@RequestMapping("/demo")
public class DemoController {

    @RequestMapping("/hello.do")
    public String hello() {
        return "hello";
    }

    @ResponseBody
    @RequestMapping("/bye.do")
    public Map<String, String> bye() {
        Map<String, String> map = new HashMap<>();
        map.put("bye", "再见");
        return map;
    }
}
